package com.dk.mdm.service.sale;

import com.dk.mdm.model.pojo.sale.MultiOwner;
import com.dk.mdm.mapper.sale.MultiOwnerMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class MultiOwnerService extends BaseService<MultiOwner> {

	@Override
	public String getPrimaryKey() {
		return "multi_id";
	}

	@Override
	public BaseMapper<MultiOwner> getRepository() {
		return multiOwnerMapper;
	}

	@Autowired
	private MultiOwnerMapper multiOwnerMapper;

}
